
Redmine - Defect #14338

svn: repository statistics issue when user names only differ in case

2013-06-24 13:59 - Dennis Wouters

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.2.2

Description

I have SVN repository to which I commit from my Windows and Linux account. On one system my username is lowercase, on the

other uppercase.

When requesting the repository statistics, only the upper case version is shown in the 'commits per author' graph. (This is fine!)

However, my user has a 'revisions' associated with it, but no 'changes' bar. (While it should be the largest bar.)

(The other users in the graph appear ok, with both bars showing.)

Related issues:

Related to Redmine - Defect #13487: Honor committer => user mapping in reposi... Closed

History

#1 - 2014-08-26 15:39 - Jean-Baptiste Barth

- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

- Resolution set to Wont fix

I don't think homonyms who differ in case should be merged by default, that's an edge case we shouldn't cover if we want to keep the behaviour clean

and predictible.

However I plan to work on #13487 these days, so when it's done you can map both usernames to your account and Redmine will display only one

unified bar for both accounts. I hope it will be OK for you.

#2 - 2014-08-26 15:41 - Jean-Baptiste Barth

- Related to Defect #13487: Honor committer => user mapping in repository statistics added
